/* -*- mode: c++; indent-tabs-mode: nil; -*-
 *
 * Copyright (c) 2000-2003, Roland Jesse
 * All rights reserved.
 *
 * This file is part of the Mango recipe management distribution.
 * For license and copyright information see the file COPYRIGHT or 
 * <http://www.opensource.org/licenses/bsd-license.html>.
 *
 * $Id: CMLImporter.h,v 1.1 2003/05/11 14:48:09 rjesse Exp $
 */

#ifndef CML_IMPORTER_H
#define CML_IMPORTER_H

#include "Importer.h"
#include <qxml.h>

/*!
  Importer class for CookML recipes.
*/
class CMLImporter : public Importer, public QXmlSimpleReader {
      Q_OBJECT

   public:
       CMLImporter();
       //! Destructor.
       virtual ~CMLImporter() { }
       virtual RecipeModel& apply() throw( Error);

   protected:
       virtual void readCookbookHeader();
       virtual void readAllRecipes();
       virtual void readRecipe();
       virtual void readRecipeHeader();
       virtual void readRecipeBody();
};
#endif // CML_IMPORTER_H
